Package org.apache.lucene.codecs.lucene95

# Class OffHeapFloatVectorValues.DenseOffHeapVectorValues

java.lang.Object
org.apache.lucene.index.KnnVectorValues
org.apache.lucene.index.FloatVectorValues
org.apache.lucene.codecs.lucene95.OffHeapFloatVectorValues
org.apache.lucene.codecs.lucene95.OffHeapFloatVectorValues.DenseOffHeapVectorValues

All Implemented Interfaces:
  `HasIndexSlice`

Enclosing class:
  `OffHeapFloatVectorValues`

public static class OffHeapFloatVectorValues.DenseOffHeapVectorValues extends OffHeapFloatVectorValues
Dense vector values that are stored off-heap. This is the most common case when every doc has a vector.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.lucene.codecs.lucene95.OffHeapFloatVectorValues

`OffHeapFloatVectorValues.DenseOffHeapVectorValues`

## Nested classes/interfaces inherited from class org.apache.lucene.index.KnnVectorValues

`KnnVectorValues.DocIndexIterator`

## Field Summary

### Fields inherited from class org.apache.lucene.codecs.lucene95.OffHeapFloatVectorValues

`byteSize, dimension, flatVectorsScorer, lastOrd, similarityFunction, size, slice, value`

## Constructor Summary

Constructors
Constructor
Description
`DenseOffHeapVectorValues(int dimension, int size, IndexInput slice, int byteSize, FlatVectorsScorer flatVectorsScorer, VectorSimilarityFunction similarityFunction)`

## Method Summary

Modifier and Type
Method
Description
`OffHeapFloatVectorValues.DenseOffHeapVectorValues`
`copy()`
Creates a new copy of this `KnnVectorValues`.
`Bits`
`getAcceptOrds(Bits acceptDocs)`
Returns a Bits accepting docs accepted by the argument and having a vector value
`KnnVectorValues.DocIndexIterator`
`iterator()`
Create an iterator for this instance.
`int`
`ordToDoc(int ord)`
Return the docid of the document indexed with the given vector ordinal.
`VectorScorer`
`scorer(float[] query)`
Return a `VectorScorer` for the given query vector and the current `FloatVectorValues`.

### Methods inherited from class org.apache.lucene.codecs.lucene95.OffHeapFloatVectorValues

`dimension, getSlice, load, size, vectorValue`

### Methods inherited from class org.apache.lucene.index.FloatVectorValues

`checkField, fromFloats, getEncoding`

### Methods inherited from class org.apache.lucene.index.KnnVectorValues

`createDenseIterator, createSparseIterator, fromDISI, getVectorByteLength`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DenseOffHeapVectorValues

public DenseOffHeapVectorValues(int dimension, int size, IndexInput slice, int byteSize, FlatVectorsScorer flatVectorsScorer, VectorSimilarityFunction similarityFunction)

## Method Details

### copy

public OffHeapFloatVectorValues.DenseOffHeapVectorValues copy() throws IOException
Description copied from class: `KnnVectorValues`
Creates a new copy of this `KnnVectorValues`. This is helpful when you need to access different values at once, to avoid overwriting the underlying vector returned.

Specified by:
  `copy` in class `FloatVectorValues`
Throws:
  `IOException`

### ordToDoc

public int ordToDoc(int ord)
Description copied from class: `KnnVectorValues`
Return the docid of the document indexed with the given vector ordinal. This default implementation returns the argument and is appropriate for dense values implementations where every doc has a single value.

Overrides:
  `ordToDoc` in class `KnnVectorValues`

### getAcceptOrds

public Bits getAcceptOrds(Bits acceptDocs)
Description copied from class: `KnnVectorValues`
Returns a Bits accepting docs accepted by the argument and having a vector value

Overrides:
  `getAcceptOrds` in class `KnnVectorValues`

### iterator

public KnnVectorValues.DocIndexIterator iterator()
Description copied from class: `KnnVectorValues`
Create an iterator for this instance.

Overrides:
  `iterator` in class `KnnVectorValues`

### scorer

public VectorScorer scorer(float[] query) throws IOException
Description copied from class: `FloatVectorValues`
Return a `VectorScorer` for the given query vector and the current `FloatVectorValues`.

Overrides:
  `scorer` in class `FloatVectorValues`
Parameters:
  `query` - the query vector
Returns:
  a `VectorScorer` instance or null
Throws:
  `IOException`